#ifndef HISTORY_VIEW_H
#define HISTORY_VIEW_H

#include <View.h>
#include <Button.h>
#include <ListView.h>
#include <String.h>
#include "HistoryList.h"

class CounterApp;

const	uint32	U_RM_HISTORY_ITEM	= 'Urhi';
const	uint32	U_ADD_HISTORY_ITEM	= 'Uahi';
const	uint32	U_SELECT_CONNVIEW	= 'Uscv';

class HistoryView : public BView
{
protected:
	int						_history_mode;
	BMessenger				_counterwindow;
	BListView				*_historyListView;
	// pour l'acces au variable d el'application
	CounterApp		*_app;

public:
	HistoryView(BRect,int32,BMessenger);
	virtual ~HistoryView();
	virtual	void	MessageReceived(BMessage *message);
	virtual void	AttachedToWindow();
	virtual void	Draw(BRect frame);

	void EraseDatasList();
	void CopyListOfConnections();
		
private:
	void RemoveConnections();
	void AddNewConnections();
	
};

#endif