/**************************************************************************
 **
 ** CounterAbout.h
 **
 ** The About window header
 **
 **************************************************************************/

#ifndef CounterAbout_h
#define CounterAbout_h

#include <View.h>
#include <Window.h>

class BBitmap;

const uint32 CLOSE_WIN_ABOUT	= 'Ucwa';

class AboutView : public BView
{
protected:
	BButton *_greatButton;
	BBitmap	*_ckjLogo;

public:
	AboutView(BRect rec);
	~AboutView();
	virtual void MessageReceived(BMessage* );
	virtual void AttachedToWindow();
	void Draw(BRect);
};

class AboutWindow : public BWindow
{
protected:
	BMessenger	_countermessenger;

public:
	AboutWindow(BRect,const char*,BMessenger);
	virtual	bool	QuitRequested(void);

};

#endif /* CounterAbout_h */
