#ifndef __TRANSLATEBEOSERRORS_H__
#define __TRANSLATEBEOSERRORS_H__

// erreurs BeOS
#define TS_BEC_NO_MEMORY				"Pas assez de mémoire pour effectuer l'opération"
#define TS_BEC_IO_ERROR					"Erreur d'E/S"
#define TS_BEC_PERMISSION_DENIED		"Accès refusé"
#define TS_BEC_BAD_INDEX				"L'index est hors limites"
#define TS_BEC_BAD_VALUE				"Une valeur erronée a été passée à la fonction"
#define TS_BEC_MISMATCHED_VALUES		"Des valeurs incompatibles ont été passées à la fonction"
#define TS_BEC_BAD_TYPE					"Argument de mauvais type lors du passage de paramètres"
#define TS_BEC_NAME_NOT_FOUND			"Il n'y a pas de concordance pour ce nom"
#define TS_BEC_NAME_IN_USE				"Le nom indiqué est déjà utilisé"
#define TS_BEC_BUSY						"Un périphérique est occupé ou un fichier est verrouillé"
#define TS_BEC_NOT_ALLOWED				"L'opération n'est pas authorisée"
#define TS_BEC_NO_INIT					"Un objet ou une structure n'est pas correctement initialisé"
#define TS_BEC_TIMED_OUT				"Le délai a été dépassé pour l'éxecution de l'opération"
#define TS_BEC_INTERRUPTED				"Un signal a interrompu l'opération"
#define TS_BEC_WOULD_BLOCK				"Cette opération bloquerait le système"
#define TS_BEC_ERROR					"Erreur non renseignée"
#define TS_BEC_NO_ERROR					"Pas d'erreur"

#define TS_BEC_FILE_ERROR				"Erreur d'E/S fichier"
#define TS_BEC_FILE_EXISTS				"Le fichier existe déjà"
#define TS_BEC_ENTRY_NOT_FOUND			"Le fichier n'existe pas"
#define TS_BEC_NAME_TOO_LONG			"Nom ou chemin de fichier trop long"
#define TS_BEC_NO_MORE_FDS				"Il n'y a plus de descripteur de fichier disponible"
#define TS_BEC_NOT_A_DIRECTORY			"Le fichier n'est pas un répertoire"
#define TS_BEC_IS_A_DIRECTORY			"Le fichier est un répertoire"
#define TS_BEC_DIRECTORY_NOT_EMPTY		"Impossible d'effacer un répertoire non vide"
#define TS_BEC_DEVICE_FULL				"Le périphérique est plein"
#define TS_BEC_READ_ONLY_DEVICE			"Périphérique en lecture seule"
#define TS_BEC_CROSS_DEVICE_LINK		"Lien physique interdit entre périphériques"
#define TS_BEC_LINK_LIMIT				"Trop de liens imbriqués"
#define TS_BEC_BUSTED_PIPE				"Le pipe est invalide"

#define TS_BEC_DUPLICATE_REPLY			"Un message de réponse a déjà été envoyé"
#define TS_BEC_BAD_REPLY				"Le message de réponse n'est pas approprié"
#define TS_BEC_BAD_HANDLER				"Le gestionnaire de messages est invalide"
#define TS_BEC_MESSAGE_TO_SELF			"Le thread tempte de s'auto-adresser un message"
#define TS_BEC_ALREADY_RUNNING			"L'application est déjà lancée"
#define TS_BEC_LAUNCH_FAILED			"L'application n'a pu être éxecutée"
#define TS_BEC_AMBIGUOUS_APP_LAUNCH		"Le lancement de l'application n'a pu être mené à terme"
#define TS_BEC_UNKNOWN_MIME_TYPE		"Signature d'application inconnue"
#define TS_BEC_BAD_SCRIPT_SYNTAX		"Syntaxe de script invalide"

#define TS_BEC_BAD_THREAD_ID			"Identifiant de thread invalide"
#define TS_BEC_BAD_THREAD_STATE			"Etat du thread invalide pour l'execution de l'opération"
#define TS_BEC_NO_MORE_THREADS			"Nombre maximum de threads atteind"
#define TS_BEC_BAD_TEAM_ID				"Identifiant de team invalide"
#define TS_BEC_NO_MORE_TEAMS			"Nombre maximum de teams atteind"
#define TS_BEC_BAD_PORT_ID				"Identifiant de port invalide"
#define TS_BEC_NO_MORE_PORTS			"Nombre maximum de ports atteind"
#define TS_BEC_BAD_SEM_ID				"Identifiant de semaphore invalide"
#define TS_BEC_NO_MORE_SEMS				"Nombre maximum de semaphores atteind"
#define TS_BEC_BAD_IMAGE_ID				"Identifiant d'image invalide"
#define TS_BEC_NOT_AN_EXECUTABLE		"Cette image n'est pas executable"
#define TS_BEC_BAD_ADDRESS				"Adresse illégale"

#define TS_BEC_STREAM_NOT_FOUND			"Impossible de localiser le flux"
#define TS_BEC_SERVER_NOT_FOUND			"Impossible de localiser le serveur"
#define TS_BEC_RESOURCE_NOT_FOUND		"Impossible de localiser la ressource"
#define TS_BEC_RESOURCE_UNAVAILABLE		"Accès à la ressource refusé"
#define TS_BEC_BAD_SUBSCRIBER			"L'objet BSubscriber est invalide"
#define TS_BEC_SUBSCRIBER_NOT_ENTERED	"L'objet BSubscriber n'est pas dans le flux"
#define TS_BEC_BUFFER_NOT_AVAILABLE		"L'essai d'acquisition du buffer a échoué"

#define TS_BEC_MAIL_NO_DAEMON			"le démon e-mail n'est pas lancé"
#define TS_BEC_MAIL_UNKNOWN_USER		"boîte aux lettres inconnue"
#define TS_BEC_MAIL_WRONG_PASSWORD		"mauvais mot de passe pour la boîte aux lettres"
#define TS_BEC_MAIL_UNKNOWN_HOST		"serveur POP ou SMTP inconnu"
#define TS_BEC_MAIL_ACCESS_ERROR		"erreur lors de la connexion a la boîte aux lettres"
#define TS_BEC_MAIL_UNKNOWN_FIELD		"champ d'e-mail inconnu"
#define TS_BEC_MAIL_NO_RECIPIENT		"adresse e-mail inconnue"
#define TS_BEC_MAIL_INVALID_MAIL		"e-mail erroné"

#define TS_BEC_DEV_INVALID_IOCTL		"le controlleur d'E/S du périphérique est invalide"
#define TS_BEC_DEV_NO_MEMORY			"pas assez de mémoire pour effectuer l'opération sur le périphérique"
#define TS_BEC_DEV_BAD_DRIVE_NUM		"numéro de lecteur invalide"
#define TS_BEC_DEV_NO_MEDIA				"pas de média dans le périphérique"
#define TS_BEC_DEV_UNREADABLE			"le média est illisible"
#define TS_BEC_DEV_FORMAT_ERROR			"format non reconnu"
#define TS_BEC_DEV_TIMEOUT				"le délai a été dépassé pour l'éxecution de l'opération sur le périphérique"
#define TS_BEC_DEV_RECALIBRATE_ERROR	"erreur de recalibration du périphérique"
#define TS_BEC_DEV_SEEK_ERROR			"erreur de positionnement sur le périphérique"
#define TS_BEC_DEV_ID_ERROR				"identifiant de périphérique invalide"
#define TS_BEC_DEV_READ_ERROR			"erreur de lecture sur le périphérique"
#define TS_BEC_DEV_WRITE_ERROR			"erreur d'écriture sur le périphérique"
#define TS_BEC_DEV_NOT_READY			"le périphérique n'est pas prêt"
#define TS_BEC_DEV_MEDIA_CHANGED		"le média a été changé"

#endif