/***************************************************************/
/* The class CColorLabel is an extention of class BControl     */
/* It's for graphical application, you can drag & drop a color */
/* with any color picker                                       */
/***************************************************************/

#ifndef _CCOLORLABEL_H
#define _CCOLORLABEL_H

#include <Control.h>
#include <Message.h>
#include <String.h>

class CColorLabel : public BControl
{
	protected:
		rgb_color	_rectColor;

	public:
		CColorLabel(BRect,const char *,const char *,BMessage *);
		virtual ~CColorLabel(void);
		virtual void Draw(BRect updateRect);
		virtual void MessageReceived(BMessage* msg);
		
		inline rgb_color	Color()						{ return _rectColor; }
		inline void			SetColor(rgb_color value)	{ _rectColor = value; }
};

#endif